durbinAllPairsTest {PMCMRplus} | R Documentation

## All-Pairs Comparisons Test for Balanced Incomplete Block Designs

### Description

Performs Conover-Iman all-pairs comparison test for a balanced incomplete block design (BIBD).

### Usage

    durbinAllPairsTest(y, ...)

    ## Default S3 method:
    durbinAllPairsTest(y, groups, blocks, p.adjust.method = p.adjust.methods, ...)

### Arguments

`y` | a numeric vector of data values, or a list of numeric data vectors.
`groups` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`blocks` | a vector or factor object giving the block for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`p.adjust.method` | method for adjusting p values (see `p.adjust`)
`...` | further arguments to be passed to or from methods.

### Details

For all-pairs comparisons in a balanced incomplete block design the proposed test of Conover and Imam can be applied. A total of m = k(k-1)/2 hypotheses can be tested. The null hypothesis H_{ij}: θ_i = θ_j is tested in the two-tailed test against the alternative A_{ij}: θ_i \ne θ_j, ~~ i \ne j.

The p-values are computed from the t distribution. If no p-value adjustment is performed (`p.adjust.method = "none"`), than a simple protected test is recommended, i.e. the all-pairs comparisons should only be applied after a significant `durbinTest`. However, any method as implemented in `p.adjust.methods` can be selected by the user.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Conover, W. J., Iman, R. L. (1979) On multiple-comparisons procedures, Tech. Rep. LA-7677-MS, Los Alamos Scientific Laboratory.

Conover, W. J. (1999) Practical nonparametric Statistics, 3rd. Edition, Wiley.

### See Also

`durbinTest`

### Examples

    ## Example for an incomplete block design:
    ## Data from Conover (1999, p. 391).
    y <- matrix(c(2,NA,NA,NA,3, NA,  3,  3,  3, NA, NA, NA,  3, NA, NA,
      1,  2, NA, NA, NA,  1,  1, NA,  1,  1,
    NA, NA, NA, NA,  2, NA,  2,  1, NA, NA, NA, NA,
     3, NA,  2,  1, NA, NA, NA, NA,  3, NA,  2,  2),
    ncol=7, nrow=7, byrow=FALSE, dimnames=list(1:7, LETTERS[1:7]))
    durbinAllPairsTest(y)

[Package PMCMRplus version 1.6.1 Index]